## GstNetTimeProvider GstNetTimeProvider — Special object that exposed the time of a clock on the network. |

## Functions

GstNetTimeProvider * | gst_net_time_provider_new ()

## Properties

gboolean | active | Read / Write
gchar * | address | Read / Write / Construct Only
GstClock * | clock | Read / Write / Construct Only
gint | port | Read / Write / Construct Only

## Types and Values

struct | GstNetTimeProvider

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstNetTimeProvider

## Implemented Interfaces

GstNetTimeProvider implements GInitable.

## Includes

    #include <gst/net/gstnet.h>

## Description

This object exposes the time of a GstClock on the network.

A GstNetTimeProvider is created with `gst_net_time_provider_new()` which takes a GstClock, an address and a port number as arguments.

After creating the object, a client clock such as GstNetClientClock can query the exposed clock over the network for its values.

The GstNetTimeProvider typically wraps the clock used by a GstPipeline.

## Functions

### gst_net_time_provider_new ()

    GstNetTimeProvider *
    gst_net_time_provider_new (GstClock *clock,
                               const gchar *address,
                               gint port);

Allows network clients to get the current time of `clock` .

#### Parameters

clock | a GstClock to export over the network |
address | an address to bind on as a dotted quad (xxx.xxx.xxx.xxx), IPv6 address, or NULL to bind to all addresses. | [allow-none]
port | a port to bind on, or 0 to let the kernel choose |

#### Returns

the new GstNetTimeProvider, or NULL on error

## Types and Values

### struct GstNetTimeProvider

    struct GstNetTimeProvider;

Opaque GstNetTimeProvider structure.

## Property Details

### The `“active”` property

      “active”                   gboolean

TRUE if the clock will respond to queries over the network.

Flags: Read / Write

Default value: TRUE

### The `“address”` property

      “address”                  gchar *

The address to bind on, as a dotted quad (x.x.x.x).

Flags: Read / Write / Construct Only

Default value: "0.0.0.0"

### The `“clock”` property

      “clock”                    GstClock *

The clock to export over the network.

Flags: Read / Write / Construct Only

### The `“port”` property

      “port”                     gint

The port to receive the packets from, 0=allocate.

Flags: Read / Write / Construct Only

Allowed values: [0,65535]

Default value: 5637

## See Also

GstClock, GstNetClientClock, GstPipeline